org.firebirdsql.jdbc.metadata

## Class GetPseudoColumns

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetPseudoColumns

    public abstract class GetPseudoColumns
    extends java.lang.Object

Provides the implementation of `DatabaseMetaData.getPseudoColumns(String, String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetPseudoColumns` `create(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getPseudoColumns(java.lang.String tableNamePattern, java.lang.String columnNamePattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getPseudoColumns

    public java.sql.ResultSet getPseudoColumns(java.lang.String tableNamePattern,
                                               java.lang.String columnNamePattern)
                                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### create

    public static GetPseudoColumns create(DbMetadataMediator mediator)